function h5_read_variable, file, varname, coord = pc

; check it the file is really written in HDF format
;
  if (not h5f_is_hdf5(file)) then begin
    print, 'This file is not in HDF5 format or does not exist!'
    return, -1
  endif

; open a file
;
  fid = h5f_open(file)

; open group 'attributes'
;
  gid = h5g_open(fid, 'attributes')

; get number of attributes
;
  nattrs = h5a_get_num_attrs(gid)

  pc = [0, 0, 0]

  for i = 0, nattrs - 1 do begin
   aid  = h5a_open_idx(gid, i)
   nm   = h5a_get_name(aid)
   data = h5a_read(aid)
   case nm of
     'pcoords': pc   = data
   else :
   endcase
   h5a_close, aid
 endfor

; close group 'attributes'
;
   h5g_close, gid

; open group 'variables'
;
   gid = h5g_open(fid, 'variables')

; read variable
;
   did = h5d_open(gid, varname)
   data = h5d_read(did)
   h5d_close, did

; close group 'variables'
;
   h5g_close, gid

; close a file
;
   h5f_close, fid

  return, data
end
